com.singularsys.jep.parser

## Interface JccParserConstants

- All Known Implementing Classes:
    JccParser, JccParserTokenManager

      public interface JccParserConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AND` RegularExpression Id.
    `static int` | `ASSIGN` RegularExpression Id.
    `static int` | `COLON` RegularExpression Id.
    `static int` | `COMMA` RegularExpression Id.
    `static int` | `CROSS` RegularExpression Id.
    `static int` | `DECIMAL_LITERAL` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DIGIT1` RegularExpression Id.
    `static int` | `DIGIT2` RegularExpression Id.
    `static int` | `DIV` RegularExpression Id.
    `static int` | `DOT` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `EQ` RegularExpression Id.
    `static int` | `EXPONENT` RegularExpression Id.
    `static int` | `FLOATING_POINT_LITERAL` RegularExpression Id.
    `static int` | `GE` RegularExpression Id.
    `static int` | `GT` RegularExpression Id.
    `static int` | `INDENTIFIER1` RegularExpression Id.
    `static int` | `INDENTIFIER2` RegularExpression Id.
    `static int` | `INTEGER_LITERAL` RegularExpression Id.
    `static int` | `LE` RegularExpression Id.
    `static int` | `LETTER1` RegularExpression Id.
    `static int` | `LETTER2` RegularExpression Id.
    `static int` | `LRND` RegularExpression Id.
    `static int` | `LSQ` RegularExpression Id.
    `static int` | `LT` RegularExpression Id.
    `static int` | `MINUS` RegularExpression Id.
    `static int` | `MOD` RegularExpression Id.
    `static int` | `MUL` RegularExpression Id.
    `static int` | `NE` RegularExpression Id.
    `static int` | `NO_DOT_IN_IDENTIFIERS` Lexical state.
    `static int` | `NOT` RegularExpression Id.
    `static int` | `OR` RegularExpression Id.
    `static int` | `PLUS` RegularExpression Id.
    `static int` | `POWER` RegularExpression Id.
    `static int` | `RRND` RegularExpression Id.
    `static int` | `RSQ` RegularExpression Id.
    `static int` | `SEMI` RegularExpression Id.
    `static int` | `STRING_LITERAL` RegularExpression Id.
    `static java.lang.String[]` | `tokenImage` Literal token values.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### INTEGER_LITERAL

          static final int INTEGER_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL_LITERAL

          static final int DECIMAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOATING_POINT_LITERAL

          static final int FLOATING_POINT_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXPONENT

          static final int EXPONENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          static final int STRING_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INDENTIFIER1

          static final int INDENTIFIER1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LETTER1

          static final int LETTER1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIGIT1

          static final int DIGIT1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INDENTIFIER2

          static final int INDENTIFIER2

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LETTER2

          static final int LETTER2

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIGIT2

          static final int DIGIT2

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ASSIGN

          static final int ASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SEMI

          static final int SEMI

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GT

          static final int GT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LT

          static final int LT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EQ

          static final int EQ

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LE

          static final int LE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GE

          static final int GE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NE

          static final int NE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MUL

          static final int MUL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOT

          static final int DOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIV

          static final int DIV

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MOD

          static final int MOD

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### POWER

          static final int POWER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CROSS

          static final int CROSS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LSQ

          static final int LSQ

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RSQ

          static final int RSQ

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LRND

          static final int LRND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RRND

          static final int RRND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COLON

          static final int COLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NO_DOT_IN_IDENTIFIERS

          static final int NO_DOT_IN_IDENTIFIERS

      Lexical state.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final java.lang.String[] tokenImage

      Literal token values.

Copyright © 2018 Singular Systems http://www.singularsys.com/jep